<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
       <button class="btn btn-primary mr-1" (click)="buscar()" [disabled]="loading">
              <i class="fas fa-search mr-2"></i>Buscar
       </button>
       <button class="btn btn-secondary" (click)="reiniciar()">
              <i class="fas fa-redo mr-2"></i>Reiniciar
       </button>
</app-page-title>

<div class="card">
       <div class="card-body">

              <form [formGroup]="ngForm">

                     <div class="row">
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-2 form-group">
                                   <label>Desde</label>
                                   <kendo-datepicker formControlName="fFec1" [format]="kendoFormat"
                                          class="form-control">
                                   </kendo-datepicker>
                            </div>
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-2 form-group">
                                   <label>Hasta</label>
                                   <kendo-datepicker formControlName="fFec2" [format]="kendoFormat"
                                          class="form-control">
                                   </kendo-datepicker>
                            </div>
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group text-center">
                                   <label class="w-100 font-weight-bold">Por Fecha de</label>
                                   <input type="radio" name="iInt3" formControlName="iInt3" value="1" id="llegada"
                                          class="k-radio" [checked]="true">
                                   <label class="k-radio-label mr-2" for="llegada">Llegada</label>
                                   <input type="radio" name="iInt3" formControlName="iInt3" value="2" id="reservacion"
                                          class="k-radio" [checked]="true">
                                   <label class="k-radio-label mr-2" for="reservacion">Reservación</label>
                                   <input type="radio" name="iInt3" formControlName="iInt3" value="3" id="cancelacion"
                                          class="k-radio" [checked]="true">
                                   <label class="k-radio-label mr-2" for="cancelacion">Cancelación</label>
                            </div>
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group text-center">
                                   <label class="w-100 font-weight-bold">Agrupar por</label>
                                   <input type="radio" name="iInt2" formControlName="iInt2" value="1" id="ragencia"
                                          class="k-radio" (change)="changeOption($event)" [checked]="true">
                                   <label class="k-radio-label mr-2" for="ragencia">Agencia</label>
                                   <input type="radio" name="iInt2" formControlName="iInt2" value="2" id="rsubagencia"
                                          class="k-radio" (change)="changeOption($event)">
                                   <label class="k-radio-label mr-2" for="rsubagencia">Subagencia</label>
                                   <input type="radio" name="iInt2" formControlName="iInt2" value="3" id="rempresa"
                                          class="k-radio" (change)="changeOption($event)">
                                   <label class="k-radio-label mr-2" for="rempresa">Empresa</label>
                                   <input type="radio" name="iInt2" formControlName="iInt2" value="4" id="rtipocuarto"
                                          class="k-radio" (change)="changeOption($event)">
                                   <label class="k-radio-label mr-2" for="rtipocuarto">Tipo Cuarto</label>
                                   <input type="radio" name="iInt2" formControlName="iInt2" value="5" id="rsinagrup"
                                          class="k-radio" (change)="changeOption($event)">
                                   <label class="k-radio-label mr-2" for="rsinagrup">Sin Agrupar</label>
                            </div>
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-2 mt-2 form-group">
                                   <label class="w-100"></label>
                                   <div class="input-group" *ngIf="ngForm.value.iInt2 != 5">
                                          <input type="text" class="form-control" formControlName="cChr1">
                                          <div class="input-group-append">
                                                 <button class="btn btn-info" (click)="openModal(modal, typeModal)">
                                                        <i class="fas fa-search"></i>
                                                 </button>
                                          </div>
                                   </div>
                            </div>
                     </div>
              </form>

              <div class="divider"></div>

              <form [formGroup]="ngSelectivo" *ngIf="ngSelectivo">
                     <!-- <div class="row">
                            <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8 form-group">
                            <label>Título</label>
                            <input type="text" class="form-control" formControlName="cChr">
                            </div>
                            <div class="col-6 col-sm-3 col-md-3 col-lg-2 col-xl-1 mt-2 form-group">
                            <label class="w-100"></label>
                            <button class="btn btn-block btn-secondary">Cargar</button>
                            </div>
                            <div class="col-6 col-sm-3 col-md-3 col-lg-2 col-xl-1 mt-2 form-group">
                            <label class="w-100"></label>
                            <button class="btn btn-block btn-secondary">Guardar</button>
                            </div>
                            <div class="col-6 col-sm-3 col-md-3 col-lg-2 col-xl-1 mt-2 form-group">
                            <label class="w-100"></label>
                            <button class="btn btn-block btn-secondary">Nuevo</button>
                            </div>
                     </div> -->
                     <div class="row">
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4">
                                   <div class="row">
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group">
                                                 <input type="checkbox" id="lSel1" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel1">
                                                 <label class="k-checkbox-label w-100" for="lSel1"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti1')">
                                                        {{ ngSelectivo.value.cEti1 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel2" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel2">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel2"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti2')">
                                                        {{ ngSelectivo.value.cEti2 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel3" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel3">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel3"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti3')">
                                                        {{ ngSelectivo.value.cEti3 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel4" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel4">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel4"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti4')">
                                                        {{ ngSelectivo.value.cEti4 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel5" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel5">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel5"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti5')">
                                                        {{ ngSelectivo.value.cEti5 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel6" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel6">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel6"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti6')">
                                                        {{ ngSelectivo.value.cEti6 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel7" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel7">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel7"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti7')">
                                                        {{ ngSelectivo.value.cEti7 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel8" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel8">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel8"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti8')">
                                                        {{ ngSelectivo.value.cEti8 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel9" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel9">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel9"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti9')">
                                                        {{ ngSelectivo.value.cEti9 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel10" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel10">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel10"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti10')">
                                                        {{ ngSelectivo.value.cEti10 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel11" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel11">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel11"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti11')">
                                                        {{ ngSelectivo.value.cEti11 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel12" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel12">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel12"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti12')">
                                                        {{ ngSelectivo.value.cEti12 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel13" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel13">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel13"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti13')">
                                                        {{ ngSelectivo.value.cEti13 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel14" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel14">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel14"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti14')">
                                                        {{ ngSelectivo.value.cEti14 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel15" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel15">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel15"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti15')">
                                                        {{ ngSelectivo.value.cEti15 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel16" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel16">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel16"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti16')">
                                                        {{ ngSelectivo.value.cEti16 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel17" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel17">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel17"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti17')">
                                                        {{ ngSelectivo.value.cEti17 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel18" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel18">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel18"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti18')">
                                                        {{ ngSelectivo.value.cEti18 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel19" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel19">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel19"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti19')">
                                                        {{ ngSelectivo.value.cEti19 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel20" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel20">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel20"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti20')">
                                                        {{ ngSelectivo.value.cEti20 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel21" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel21">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel21"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti21')">
                                                        {{ ngSelectivo.value.cEti21 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel22" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel22">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel22"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti22')">
                                                        {{ ngSelectivo.value.cEti22 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel23" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel23">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel23"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti23')">
                                                        {{ ngSelectivo.value.cEti23 }}
                                                 </label>
                                          </div>
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group">
                                                 <label class="w-100"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <input type="checkbox" id="estdoDesc" class="k-checkbox" checked=""
                                                        formControlName="lExt7"
                                                        [attr.disabled]="!ngSelectivo.value.lSell7">
                                                 <label class="k-checkbox-label w-100 mt-2"
                                                        for="estdoDesc">Desc.</label>
                                                 <input type="checkbox" id="paisdesc" class="k-checkbox" checked=""
                                                        formControlName="lExt8"
                                                        [attr.disabled]="!ngSelectivo.value.lSell8">
                                                 <label class="k-checkbox-label w-100 mt-1" for="paisdesc">Desc.</label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <input type="checkbox" id="agedesc" class="k-checkbox" checked=""
                                                        formControlName="lExt15"
                                                        [attr.disabled]="!ngSelectivo.value.lSel15">
                                                 <label class="k-checkbox-label w-100 mt-3" for="agedesc">Desc.</label>
                                                 <label class="w-100 mt-1"></label>
                                                 <label class="w-100 mt-1"></label>
                                                 <input type="checkbox" id="segdesc" class="k-checkbox" checked=""
                                                        formControlName="lExt18"
                                                        [attr.disabled]="!ngSelectivo.value.lSel18">
                                                 <label class="k-checkbox-label w-100 mt-2" for="segdesc">Desc.</label>
                                                 <input type="checkbox" id="ocupdesc" class="k-checkbox" checked=""
                                                        formControlName="lExt19"
                                                        [attr.disabled]="!ngSelectivo.value.lSel19">
                                                 <label class="k-checkbox-label w-100 mt-1" for="ocupdesc">Desc.</label>
                                                 <input type="checkbox" id="edocivildesc" class="k-checkbox" checked=""
                                                        formControlName="lExt20"
                                                        [attr.disabled]="!ngSelectivo.value.lSel20">
                                                 <label class="k-checkbox-label w-100 mt-1"
                                                        for="edocivildesc">Desc.</label>
                                          </div>
                                          <div class="col-sm-1 col-md-1 col-lg-1 col-xl-1 form-group">
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt1 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt2 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt3 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt4 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt5 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt6 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt7 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt8 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt9 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt10 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt11 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt12 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt13 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt14 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt15 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt16 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt17 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt18 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt19 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt20 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt21 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt22 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt23 }}</span>
                                          </div>
                                   </div>

                            </div>
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4">

                                   <div class="row">
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group">
                                                 <input type="checkbox" id="lSel24" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel24">
                                                 <label class="k-checkbox-label w-100" for="lSel24"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti24')">
                                                        {{ ngSelectivo.value.cEti24 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel25" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel5">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel25"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti25')">
                                                        {{ ngSelectivo.value.cEti25 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel26" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel26">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel26"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti26')">
                                                        {{ ngSelectivo.value.cEti26 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel27" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel27">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel27"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti27')">
                                                        {{ ngSelectivo.value.cEti27 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel28" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel28">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel28"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti28')">
                                                        {{ ngSelectivo.value.cEti28 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel29" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel29">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel29"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti29')">
                                                        {{ ngSelectivo.value.cEti29 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel30" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel30">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel30"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti30')">
                                                        {{ ngSelectivo.value.cEti30 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel31" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel31">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel31"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti31')">
                                                        {{ ngSelectivo.value.cEti31 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel32" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel32">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel32"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti32')">
                                                        {{ ngSelectivo.value.cEti32 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel33" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel33">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel33"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti33')">
                                                        {{ ngSelectivo.value.cEti33 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel34" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel34">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel34"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti34')">
                                                        {{ ngSelectivo.value.cEti34 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel35" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel35">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel35"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti35')">
                                                        {{ ngSelectivo.value.cEti35 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel36" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel36">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel36"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti36')">
                                                        {{ ngSelectivo.value.cEti36 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel37" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel37">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel37"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti37')">
                                                        {{ ngSelectivo.value.cEti37 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel38" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel38">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel38"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti38')">
                                                        {{ ngSelectivo.value.cEti38 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel39" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel39">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel39"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti39')">
                                                        {{ ngSelectivo.value.cEti39 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel40" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel40">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel40"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti40')">
                                                        {{ ngSelectivo.value.cEti40 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel41" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel41">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel41"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti41')">
                                                        {{ ngSelectivo.value.cEti41 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel42" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel42">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel42"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti42')">
                                                        {{ ngSelectivo.value.cEti42 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel43" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel43">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel43"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti43')">
                                                        {{ ngSelectivo.value.cEti43 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel44" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel44">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel44"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti44')">
                                                        {{ ngSelectivo.value.cEti44 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel45" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel45">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel45"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti45')">
                                                        {{ ngSelectivo.value.cEti45 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel46" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel46">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel46"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti46')">
                                                        {{ ngSelectivo.value.cEti46 }}
                                                 </label>
                                          </div>
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group"></div>
                                          <div class="col-sm-1 col-md-1 col-lg-1 col-xl-1 form-group">
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt24 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt25 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt26 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt27 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt28 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt29 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt30 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt31 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt32 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt33 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt34 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt35 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt36 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt37 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt38 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt39 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt40 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt41 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt42 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt43 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt44 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt45 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt46 }}</span>
                                          </div>
                                   </div>

                            </div>
                            <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4">

                                   <div class="row">
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group">
                                                 <input type="checkbox" id="lSel47" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel47">
                                                 <label class="k-checkbox-label w-100" for="lSel47"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti47')">
                                                        {{ ngSelectivo.value.cEti47 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel48" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel48">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel48"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti48')">
                                                        {{ ngSelectivo.value.cEti48 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel49" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel49">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel49"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti49')">
                                                        {{ ngSelectivo.value.cEti49 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel50" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel50">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel50"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti50')">
                                                        {{ ngSelectivo.value.cEti50 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel51" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel51">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel51"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti51')">
                                                        {{ ngSelectivo.value.cEti51 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel52" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel52">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel52"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti52')">
                                                        {{ ngSelectivo.value.cEti52 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel53" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel53">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel53"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti53')">
                                                        {{ ngSelectivo.value.cEti53 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel54" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel54">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel54"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti54')">
                                                        {{ ngSelectivo.value.cEti54 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel55" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel55">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel55"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti55')">
                                                        {{ ngSelectivo.value.cEti55 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel56" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel56">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel56"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti56')">
                                                        {{ ngSelectivo.value.cEti56 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel57" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel57">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel57"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti57')">
                                                        {{ ngSelectivo.value.cEti57 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel58" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel58">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel58"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti58')">
                                                        {{ ngSelectivo.value.cEti58 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel59" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel59">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel59"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti59')">
                                                        {{ ngSelectivo.value.cEti59 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel60" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel60">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel60"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti60')">
                                                        {{ ngSelectivo.value.cEti60 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel61" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel61">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel61"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti61')">
                                                        {{ ngSelectivo.value.cEti61 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel62" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel62">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel62"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti62')">
                                                        {{ ngSelectivo.value.cEti62 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel63" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel63">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel63"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti63')">
                                                        {{ ngSelectivo.value.cEti63 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel64" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel64">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel64"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti64')">
                                                        {{ ngSelectivo.value.cEti64 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel65" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel65">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel65"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti65')">
                                                        {{ ngSelectivo.value.cEti65 }}
                                                 </label>
                                                 <input type="checkbox" id="lSel69" class="k-checkbox" checked=""
                                                        (change)="checkChange($event)" formControlName="lSel69">
                                                 <label class="k-checkbox-label w-100 mt-1" for="lSel69"
                                                        (dblclick)="openModal(modal, 'lbl', 'cEti69')">
                                                        {{ ngSelectivo.value.cEti69 }}
                                                 </label>
                                          </div>
                                          <div class="col-sm-4 col-md-4 col-lg-4 col-xl-4 form-group"></div>
                                          <div class="col-sm-1 col-md-1 col-lg-1 col-xl-1 form-group">
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt47 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt48 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt49 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt50 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt51 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt52 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt53 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt54 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt55 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt56 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt57 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt58 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt59 }}</span>
                                                 <span class="badge badge-secondary"
                                                        [attr.disabled]="true">{{ ngSelectivo.value.iInt60 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti61">{{ ngSelectivo.value.iInt61 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti62">{{ ngSelectivo.value.iInt62 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti63">{{ ngSelectivo.value.iInt63 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti64">{{ ngSelectivo.value.iInt64 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti65">{{ ngSelectivo.value.iInt65 }}</span>
                                                 <span class="badge badge-secondary" [attr.disabled]="true"
                                                        *ngIf="ngSelectivo.value.cEti69">{{ ngSelectivo.value.iInt69 }}</span>
                                          </div>
                                   </div>
                            </div>
                     </div>
              </form>

              <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
                     [pageSize]="pageSize" [sortable]="true" [skip]="skip" [pageable]="pegable" style="height: 50vh;"
                     *ngIf="!loading">
                     <ng-container *ngIf="dataGrid.length !== 0">
                            <ng-container *ngFor="let title of etiquetas; let i = index;">
                                   <kendo-grid-column field="Campos[{{ i }}]" title="{{ title }}" width="150">
                                   </kendo-grid-column>
                            </ng-container>
                     </ng-container>
                     <ng-template kendoGridNoRecordsTemplate>
                            {{ noRecords }}
                     </ng-template>
              </kendo-grid>

              <app-loading *ngIf="loading">Buscando resultados...</app-loading>
       </div>
</div>

<ng-template #modal let-modal let-c="close">
       <div class="modal-header">
              <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
              <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                     <span aria-hidden="true">&times;</span>
              </button>
       </div>
       <div class="modal-body">
              <app-help-agencia (agencia)="getDataModal($event, 'age')" *ngIf="modalType === 'age'"></app-help-agencia>
              <app-help-agencia (agencia)="getDataModal($event, 'sag')" *ngIf="modalType === 'sag'"></app-help-agencia>
              <app-help-empresa (empresa)="getDataModal($event, 'emp')" *ngIf="modalType === 'emp'"></app-help-empresa>
              <app-help-segmentos (result)="getDataModal($event, 'seg')" *ngIf="modalType === 'seg'">
              </app-help-segmentos>
              <app-help-tipo-cuartos (result)="getDataModal($event, 'tpc')" [virtual]="false"
                     *ngIf="modalType === 'tpc'"></app-help-tipo-cuartos>
              <app-help-tipo-movimientos (result)="getDataModal($event, 'tm')" *ngIf="modalType === 'tm'">
              </app-help-tipo-movimientos>

              <div *ngIf="modalType === 'lbl'">
                     <label>Header</label>
                     <input type="text" class="form-control" [(ngModel)]="newModalLabel">
                     <button class="btn btn-block btn-success mt-2" (click)="getNewHeader()">Aceptar</button>
              </div>
       </div>
       <div class="modal-footer">
              <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
       </div>
</ng-template>